## r-bioc-organismdbi 1.36.0

=== DESCRIPTION ===
Package: OrganismDbi
Title: Software to enable the smooth interfacing of different database
        packages
Description: The package enables a simple unified interface to several
	annotation packages each of which has its own schema by taking
	advantage of the fact that each of these packages implements a 
	select methods.
Version: 1.36.0
Encoding: UTF-8
Author: Marc Carlson, Hervé Pagès, Martin Morgan, Valerie Obenchain
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
Depends: R (>= 2.14.0), methods, BiocGenerics (>= 0.15.10),
        AnnotationDbi (>= 1.33.15), GenomicFeatures (>= 1.39.4)
Imports: Biobase, BiocManager, GenomicRanges (>= 1.31.13), graph,
        IRanges, RBGL, DBI, S4Vectors (>= 0.9.25), stats
Suggests: Homo.sapiens, Rattus.norvegicus, BSgenome.Hsapiens.UCSC.hg19,
        AnnotationHub, FDb.UCSC.tRNAs, mirbase.db, rtracklayer,
        biomaRt, RUnit, RMariaDB
Collate: AllGenerics.R AllClasses.R methods-select.R
        methods-transcripts.R createOrganismPackage.R seqinfo.R
        test_OrganismDbi_package.R
License: Artistic-2.0
biocViews: Annotation, Infrastructure
git_url: https://git.bioconductor.org/packages/OrganismDbi
git_branch: RELEASE_3_14
git_last_commit: 3e7a90d
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: no
Packaged: 2021-10-26 22:10:36 UTC; biocbuild

=== debian/changelog ===
r-bioc-organismdbi (1.36.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Fri, 26 Nov 2021 08:18:31 +0100

r-bioc-organismdbi (1.34.0-2) unstable; urgency=medium

  * Team upload.
  * Avoid running tests since homo.sapiens is not packaged

 -- Nilesh Patra <nilesh@debian.org>  Sat, 13 Nov 2021 20:02:56 +0530

r-bioc-organismdbi (1.34.0-1) unstable; urgency=medium

  * Initial release (closes: #991825)

 -- Steffen Moeller <moeller@debian.org>  Mon, 02 Aug 2021 18:46:06 +0200

=== debian/control ===
Source: r-bioc-organismdbi
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-annotationdbi,
               r-bioc-genomicfeatures (>= 1.39.4),
               r-bioc-biobase,
               r-cran-biocmanager,
               r-bioc-genomicranges,
               r-bioc-graph,
               r-bioc-iranges,
               r-bioc-rbgl,
               r-cran-dbi,
               r-bioc-s4vectors
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-organismdbi
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-organismdbi.git
Homepage: https://bioconductor.org/packages/OrganismDbi/
Rules-Requires-Root: no

Package: r-bioc-organismdbi
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: smooth interfacing of different database packages
 The package enables a simple unified interface to several
 annotation packages each of which has its own schema by taking
 advantage of the fact that each of these packages implements a
 select methods.

## r-bioc-organismdbi 1.38.1

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	annotation packages each of which has its own schema by taking
 	advantage of the fact that each of these packages implements a 
 	select methods.
-Version: 1.36.0
+Version: 1.38.1
 Encoding: UTF-8
 Author: Marc Carlson, Hervé Pagès, Martin Morgan, Valerie Obenchain
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
@@ -22,9 +22,9 @@
 License: Artistic-2.0
 biocViews: Annotation, Infrastructure
 git_url: https://git.bioconductor.org/packages/OrganismDbi
-git_branch: RELEASE_3_14
-git_last_commit: 3e7a90d
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: fa8da4d
+git_last_commit_date: 2022-06-16
+Date/Publication: 2022-06-16
 NeedsCompilation: no
-Packaged: 2021-10-26 22:10:36 UTC; biocbuild
+Packaged: 2022-06-16 21:22:20 UTC; biocbuild

=== debian/changelog ===
r-bioc-organismdbi (1.38.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jun 2022 11:43:22 +0200

r-bioc-organismdbi (1.38.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 21:09:00 +0200

## r-bioc-organismdbi 1.40.0

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	annotation packages each of which has its own schema by taking
 	advantage of the fact that each of these packages implements a 
 	select methods.
-Version: 1.38.1
+Version: 1.40.0
 Encoding: UTF-8
 Author: Marc Carlson, Hervé Pagès, Martin Morgan, Valerie Obenchain
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
@@ -22,9 +22,9 @@
 License: Artistic-2.0
 biocViews: Annotation, Infrastructure
 git_url: https://git.bioconductor.org/packages/OrganismDbi
-git_branch: RELEASE_3_15
-git_last_commit: fa8da4d
-git_last_commit_date: 2022-06-16
-Date/Publication: 2022-06-16
+git_branch: RELEASE_3_16
+git_last_commit: fac971d
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-06-16 21:22:20 UTC; biocbuild
+Packaged: 2022-11-01 22:20:08 UTC; biocbuild

=== debian/changelog ===
r-bioc-organismdbi (1.40.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 22:01:56 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                r-bioc-rbgl,
                r-cran-dbi,
                r-bioc-s4vectors
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-organismdbi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-organismdbi.git
 Homepage: https://bioconductor.org/packages/OrganismDbi/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/OrganismDbi.html .*/OrganismDbi_(.*).tar.gz

## r-bioc-organismdbi 1.42.0+dfsg

=== DESCRIPTION ===
Package: OrganismDbi
Title: Software to enable the smooth interfacing of different database
        packages
Description: The package enables a simple unified interface to several
	annotation packages each of which has its own schema by taking
	advantage of the fact that each of these packages implements a 
	select methods.
Version: 1.42.0
Encoding: UTF-8
Authors@R: c(
	person("Marc", "Carlson", role = "aut"), 
	person("Hervé", "Pagès", role = "aut"), 
	person("Martin", "Morgan", role = "aut"), 
	person("Valerie", "Obenchain", role = "aut"), 
    	person("Aliyu Atiku Mustapha", role = "ctb",
                comment = "Converted 'OrganismDbi' vignette from Sweave to RMarkdown / HTML."),
        person("Bioconductor Package Maintainer", role = "cre",
                email = "maintainer@bioconductor.org"))
Depends: R (>= 2.14.0), methods, BiocGenerics (>= 0.15.10),
        AnnotationDbi (>= 1.33.15), GenomicFeatures (>= 1.39.4)
Imports: Biobase, BiocManager, GenomicRanges (>= 1.31.13), graph,
        IRanges, RBGL, DBI, S4Vectors (>= 0.9.25), stats
Suggests: Homo.sapiens, Rattus.norvegicus, BSgenome.Hsapiens.UCSC.hg19,
        AnnotationHub, FDb.UCSC.tRNAs, mirbase.db, rtracklayer,
        biomaRt, RUnit, RMariaDB, BiocStyle, knitr
Collate: AllGenerics.R AllClasses.R methods-select.R
        methods-transcripts.R createOrganismPackage.R seqinfo.R
        test_OrganismDbi_package.R
License: Artistic-2.0
biocViews: Annotation, Infrastructure
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/OrganismDbi
git_branch: RELEASE_3_17
git_last_commit: 29fcd5c
git_last_commit_date: 2023-04-25
Date/Publication: 2023-04-25
NeedsCompilation: no
Packaged: 2023-04-25 22:04:13 UTC; biocbuild
Author: Marc Carlson [aut],
  Hervé Pagès [aut],
  Martin Morgan [aut],
  Valerie Obenchain [aut],
  Aliyu Atiku Mustapha [ctb] (Converted 'OrganismDbi' vignette from
    Sweave to RMarkdown / HTML.),
  Bioconductor Package Maintainer [cre]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-organismdbi (1.42.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS
  * Add debian/tests/autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 15:26:55 +0200

## r-bioc-organismdbi 1.44.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	annotation packages each of which has its own schema by taking
 	advantage of the fact that each of these packages implements a 
 	select methods.
-Version: 1.42.0
+Version: 1.44.0
 Encoding: UTF-8
 Authors@R: c(
 	person("Marc", "Carlson", role = "aut"), 
@@ -30,12 +30,12 @@
 biocViews: Annotation, Infrastructure
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/OrganismDbi
-git_branch: RELEASE_3_17
-git_last_commit: 29fcd5c
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: aece52c
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 22:04:13 UTC; biocbuild
+Packaged: 2023-10-24 22:17:49 UTC; biocbuild
 Author: Marc Carlson [aut],
   Hervé Pagès [aut],
   Martin Morgan [aut],

## r-bioc-organismdbi 1.44.0+dfsg

=== debian/changelog ===
r-bioc-organismdbi (1.44.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 10:51:25 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-bioc-biocgenerics,
                r-bioc-annotationdbi,
-               r-bioc-genomicfeatures (>= 1.39.4),
+               r-bioc-genomicfeatures,
                r-bioc-biobase,
                r-cran-biocmanager,
                r-bioc-genomicranges,
@@ -18,7 +18,7 @@
                r-bioc-rbgl,
                r-cran-dbi,
                r-bioc-s4vectors
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-organismdbi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-organismdbi.git
 Homepage: https://bioconductor.org/packages/OrganismDbi/

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=auto" \
https://bioconductor.org/packages/release/bioc/html/OrganismDbi.html .*/OrganismDbi_(.*).tar.gz

## r-bioc-organismdbi 1.46.0+dfsg

=== DESCRIPTION ===
Package: OrganismDbi
Title: Software to enable the smooth interfacing of different database
        packages
Description: The package enables a simple unified interface to several
	annotation packages each of which has its own schema by taking
	advantage of the fact that each of these packages implements a 
	select methods.
Version: 1.46.0
Encoding: UTF-8
Authors@R: c(
	person("Marc", "Carlson", role = "aut"),
	person("Martin", "Morgan", role = "aut"),
	person("Valerie", "Obenchain", role = "aut"),
    	person("Aliyu Atiku Mustapha", role = "ctb",
                comment = "Converted 'OrganismDbi' vignette from Sweave to RMarkdown / HTML."),
        person("Bioconductor Package Maintainer", role = "cre",
                email = "maintainer@bioconductor.org"))
Depends: R (>= 2.14.0), BiocGenerics (>= 0.15.10), AnnotationDbi (>=
        1.33.15), GenomicFeatures (>= 1.39.4)
Imports: methods, utils, stats, DBI, BiocManager, Biobase, graph, RBGL,
        S4Vectors, IRanges, GenomicRanges (>= 1.31.13), txdbmaker
Suggests: Homo.sapiens, Rattus.norvegicus, BSgenome.Hsapiens.UCSC.hg19,
        AnnotationHub, FDb.UCSC.tRNAs, mirbase.db, rtracklayer,
        biomaRt, RUnit, RMariaDB, BiocStyle, knitr
Collate: AllGenerics.R AllClasses.R methods-select.R
        methods-transcripts.R createOrganismPackage.R seqinfo.R
        test_OrganismDbi_package.R
License: Artistic-2.0
biocViews: Annotation, Infrastructure
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/OrganismDbi
git_branch: RELEASE_3_19
git_last_commit: ece135b
git_last_commit_date: 2024-04-30
Repository: Bioconductor 3.19
Date/Publication: 2024-04-30
NeedsCompilation: no
Packaged: 2024-05-01 05:08:16 UTC; biocbuild
Author: Marc Carlson [aut],
  Martin Morgan [aut],
  Valerie Obenchain [aut],
  Aliyu Atiku Mustapha [ctb] (Converted 'OrganismDbi' vignette from
    Sweave to RMarkdown / HTML.),
  Bioconductor Package Maintainer [cre]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-organismdbi (1.46.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:30:13 +0200

r-bioc-organismdbi (1.46.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 14:11:53 +0200

r-bioc-organismdbi (1.46.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 11:09:54 +0200

=== debian/control ===
Source: r-bioc-organismdbi
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-organismdbi
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-organismdbi.git
Homepage: https://bioconductor.org/packages/OrganismDbi/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-annotationdbi (>= 1.66.0),
               r-bioc-genomicfeatures (>= 1.56.0),
               r-cran-dbi,
               r-cran-biocmanager,
               r-bioc-biobase (>= 2.64.0),
               r-bioc-graph (>= 1.82.0),
               r-bioc-rbgl (>= 1.80.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-genomicranges (>= 1.56.1),
               r-bioc-txdbmaker
Testsuite: autopkgtest-pkg-r

Package: r-bioc-organismdbi
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-annotationhub (>= 3.12.0),
          r-bioc-rtracklayer (>= 1.64.0),
          r-bioc-biomart (>= 2.60.1),
          r-bioc-biocstyle (>= 2.32.1)
Description: smooth interfacing of different database packages
 The package enables a simple unified interface to several
 annotation packages each of which has its own schema by taking
 advantage of the fact that each of these packages implements a
 select methods.

## r-bioc-organismdbi 1.48.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	annotation packages each of which has its own schema by taking
 	advantage of the fact that each of these packages implements a 
 	select methods.
-Version: 1.46.0
+Version: 1.48.0
 Encoding: UTF-8
 Authors@R: c(
 	person("Marc", "Carlson", role = "aut"),
@@ -29,13 +29,13 @@
 biocViews: Annotation, Infrastructure
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/OrganismDbi
-git_branch: RELEASE_3_19
-git_last_commit: ece135b
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 0a81568
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 05:08:16 UTC; biocbuild
+Packaged: 2024-10-30 02:01:59 UTC; biocbuild
 Author: Marc Carlson [aut],
   Martin Morgan [aut],
   Valerie Obenchain [aut],

=== debian/changelog ===
r-bioc-organismdbi (1.48.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jan 2025 08:53:43 +0100

r-bioc-organismdbi (1.48.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 30 Nov 2024 23:22:25 +0100

=== debian/control ===
Source: r-bioc-organismdbi
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-annotationdbi,
               r-bioc-genomicfeatures,
               r-cran-dbi,
               r-cran-biocmanager,
               r-bioc-biobase,
               r-bioc-graph,
               r-bioc-rbgl,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-genomicranges,
               r-bioc-txdbmaker
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-organismdbi
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-organismdbi.git
Homepage: https://bioconductor.org/packages/OrganismDbi/
Rules-Requires-Root: no

Package: r-bioc-organismdbi
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: smooth interfacing of different database packages
 The package enables a simple unified interface to several
 annotation packages each of which has its own schema by taking
 advantage of the fact that each of these packages implements a
 select methods.
